package models

import (
	"gorm.io/gorm"
)

// Banner model structure
// Represents a banner item with optional thumbnail.
type Hero struct {
	gorm.Model
	Color    string `gorm:"type:varchar(32);not null" json:"color" form:"color"`
	Title    string `gorm:"type:varchar(254)" json:"title,omitempty" form:"title"`
	Text1    string `gorm:"type:varchar(254)" json:"text1,omitempty" form:"text1"`
	Text2    string `gorm:"type:varchar(254)" json:"text2,omitempty" form:"text2"`
	Text4    string `gorm:"type:varchar(254)" json:"text4,omitempty" form:"text4"`
	Text5    string `gorm:"type:varchar(254)" json:"text5,omitempty" form:"text5"`
	Image    string `gorm:"type:varchar(254)" json:"image" form:"image"`
	IsActive bool   `gorm:"default:true" json:"is_active" form:"is_active"`
	Width    int    `gorm:"default:0" json:"width" form:"width"`
	Height   int    `gorm:"default:0" json:"height" form:"height"`
	Quality  int    `gorm:"default:0" json:"quality" form:"quality"`
	Format   string `gorm:"type:varchar(10)" json:"format" form:"format"`
}
